@echo off

:init
SETLOCAL EnableDelayedExpansion
SETLOCAL EnableExtensions
set curDir=%~dp0
set PnpUtil=pnputil.exe
set DriverDir=%curDir%\WIN10\NDIS6
rem set infName="rtvdevx86_ext.inf"
set infName=%1

::if %PROCESSOR_ARCHITECTURE%==AMD64 (
::    set infName=rtvdevx64_ext.inf
::)
goto start

:start
cd %curDir%
%PnpUtil% /add-driver "%DriverDir%\%infName%" /install

goto exit

:exit
cd /D %curDir%
rem pause
@echo on